Documentation

List knowledge documents of an agent or a folder

GET
/api/v1/external/knowledges

Scope requis : read:knowledges.

AutorisationBearer <jeton>

JWT d'organisation obtenu via le flow OIDC. Voir le guide d'intégration.

Dans: header

Paramètres de requête

agentId?string

Agent owning the documents, exclusive with folderId

folderId?string

Folder owning the documents, exclusive with agentId

embedder?string

Filter by embedding provider. If omitted, returns documents from all providers.

Valeur parmi

  • "agno"
  • "lighton"
page*number
Plage1 <= value
Défaut1
pageSize*number
Plage1 <= value
Défaut10
sortBy?string
sortDirection*string
Défaut"DESC"

Valeur parmi

  • "ASC"
  • "DESC"
disablePagination*boolean
Défautfalse

Corps de réponse

application/json

curl -X GET "https://example.com/api/v1/external/knowledges?page=1&pageSize=10&sortDirection=ASC&disablePagination=false"
{  "data": [    {      "id": "string",      "name": "string",      "description": "string",      "metadata": {},      "provider": "agno"    }  ],  "meta": {    "currentPage": 0,    "totalItemsCount": 0,    "totalPagesCount": 0,    "itemsPerPage": 0  }}